CompressionDataHandler Class Referenceabstract

`#include <compressiondatahandler.h>`

Inheritance diagram for CompressionDataHandler:
[legend]

## Public Member Functions

virtual | ~CompressionDataHandler ()
virtual void | handleCompressedData (const std::string &data)=0
virtual void | handleDecompressedData (const std::string &data)=0

## Detailed Description

An abstract base class used to receive de/compressed data from a CompressionBase-derived object.

You should not need to use this class directly.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 34 of file compressiondatahandler.h.

## Constructor & Destructor Documentation

## ~CompressionDataHandler()

virtual ~CompressionDataHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 40 of file compressiondatahandler.h.

## Member Function Documentation

## handleCompressedData()

virtual void handleCompressedData | ( | const std::string & | data | ) |

pure virtual

This function is called when compression is finished.

Parameters

  data | The compressed data.

Implemented in ClientBase.

## handleDecompressedData()

virtual void handleDecompressedData | ( | const std::string & | data | ) |

pure virtual

This function is called when decompression is finished.

Parameters

  data | The decompressed data.

Implemented in ClientBase.

The documentation for this class was generated from the following file:

- compressiondatahandler.h